Help us improve these docs. Take our quick survey.
cURL
curl --request POST \ --url https://api.example.com/annotation_queues/{queue_id}/items/{item_id}/progress \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "project_id": "<string>", "annotation_state": "<string>" } '
{ "item": { "id": "<string>", "project_id": "<string>", "queue_id": "<string>", "call_id": "<string>", "call_started_at": "2023-11-07T05:31:56Z", "call_op_name": "<string>", "call_trace_id": "<string>", "display_fields": [ "<string>" ], "annotation_state": "unstarted", "created_at": "2023-11-07T05:31:56Z", "created_by": "<string>", "updated_at": "2023-11-07T05:31:56Z", "call_ended_at": "2023-11-07T05:31:56Z", "added_by": "<string>", "annotator_user_id": "<string>", "deleted_at": "2023-11-07T05:31:56Z", "position_in_queue": 123 } }
現在のアノテーターのキュー項目のアノテーション状態を更新します。
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Basic <encoded-value>
<encoded-value>
username:password
アノテーションの進捗を更新するためのリクエストボディ(queue_id と item_id はパスから取得)。
注: wb_user_id はボディに含まれません。認証済みセッションに基づいてサーバー側で設定されます。
"entity/project"
新しい状態: 'in_progress'、'completed'、または 'skipped'
"in_progress"
"completed"
"skipped"
正常なレスポンス
annotation状態の更新に対するレスポンス。
アノテーションキュー項目のレスポンス用スキーマ。
Show child attributes
このページは役に立ちましたか?